Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
sha1ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/sha.h>`

Go to the source code of this file.

## Macros
#define | SHA1_CTX SHA_CTX
#define | SHA1_BLOCK_LENGTH SHA_CBLOCK
#define | SHA1_DIGEST_LENGTH SHA_DIGEST_LENGTH
#define | SHA1_Finish rb_digest_SHA1_finish

## Macro Definition Documentation

## ◆ SHA1_BLOCK_LENGTH

#define SHA1_BLOCK_LENGTH SHA_CBLOCK

Definition at line 14 of file sha1ossl.h.

## ◆ SHA1_CTX

#define SHA1_CTX SHA_CTX

Definition at line 9 of file sha1ossl.h.

## ◆ SHA1_DIGEST_LENGTH

#define SHA1_DIGEST_LENGTH SHA_DIGEST_LENGTH

Definition at line 16 of file sha1ossl.h.

## ◆ SHA1_Finish

#define SHA1_Finish rb_digest_SHA1_finish